For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
        • Field Mapping
          • GET/field-mappings
          • POST/field-mappings
          • DEL/field-mappings/{field_mapping_id}
          • PATCH/field-mappings/{field_mapping_id}
          • GET/remote-fields
          • GET/target-fields
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Linked AccountField Mapping

/remote-fields

GET
/remote-fields
GET
/api/chat/v1/remote-fields
$curl https://api.merge.dev/api/chat/v1/remote-fields \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "User": [
3 {
4 "schema": {
5 "type": "string"
6 },
7 "remote_key_name": "example_remote_key_name",
8 "remote_endpoint_info": {
9 "method": "GET",
10 "url_path": "/example-url-path",
11 "field_traversal_path": [
12 "example_key_name"
13 ]
14 },
15 "advanced_metadata": {
16 "id": "string",
17 "display_name": "string",
18 "description": "string",
19 "is_required": true,
20 "is_custom": true,
21 "field_choices": [
22 null
23 ]
24 },
25 "example_values": [
26 "example"
27 ],
28 "coverage": 0.33
29 }
30 ],
31 "Group": [
32 {
33 "schema": {
34 "type": "string"
35 },
36 "remote_key_name": "example_remote_key_name",
37 "remote_endpoint_info": {
38 "method": "GET",
39 "url_path": "/example-url-path",
40 "field_traversal_path": [
41 "example_key_name"
42 ]
43 },
44 "advanced_metadata": {
45 "id": "string",
46 "display_name": "string",
47 "description": "string",
48 "is_required": true,
49 "is_custom": true,
50 "field_choices": [
51 null
52 ]
53 },
54 "example_values": [
55 "example"
56 ],
57 "coverage": 0.33
58 }
59 ],
60 "Conversation": [
61 {
62 "schema": {
63 "type": "string"
64 },
65 "remote_key_name": "example_remote_key_name",
66 "remote_endpoint_info": {
67 "method": "GET",
68 "url_path": "/example-url-path",
69 "field_traversal_path": [
70 "example_key_name"
71 ]
72 },
73 "advanced_metadata": {
74 "id": "string",
75 "display_name": "string",
76 "description": "string",
77 "is_required": true,
78 "is_custom": true,
79 "field_choices": [
80 null
81 ]
82 },
83 "example_values": [
84 "example"
85 ],
86 "coverage": 0.33
87 }
88 ],
89 "Member": [
90 {
91 "schema": {
92 "type": "string"
93 },
94 "remote_key_name": "example_remote_key_name",
95 "remote_endpoint_info": {
96 "method": "GET",
97 "url_path": "/example-url-path",
98 "field_traversal_path": [
99 "example_key_name"
100 ]
101 },
102 "advanced_metadata": {
103 "id": "string",
104 "display_name": "string",
105 "description": "string",
106 "is_required": true,
107 "is_custom": true,
108 "field_choices": [
109 null
110 ]
111 },
112 "example_values": [
113 "example"
114 ],
115 "coverage": 0.33
116 }
117 ]
118}
Get all remote fields for a Linked Account. Remote fields are third-party fields that are accessible after initial sync if remote_data is enabled. You can use remote fields to override existing Merge fields or map a new Merge field. [Learn more](https://docs.merge.dev/supplemental-data/field-mappings/overview/).
Was this page helpful?
Previous

/field-mappings/{field_mapping_id}

Next

/target-fields

Built with

Get all remote fields for a Linked Account. Remote fields are third-party fields that are accessible after initial sync if remote_data is enabled. You can use remote fields to override existing Merge fields or map a new Merge field. Learn more.

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

common_modelsstringOptional
A comma seperated list of Common Model names. If included, will only return Remote Fields for those Common Models.
include_example_valuesstringOptional
If true, will include example values, where available, for remote fields in the 3rd party platform. These examples come from active data from your customers.

Response

Userlist of objects
Grouplist of objects
Conversationlist of objects
Memberlist of objects